#include "version.hpp"
#include "version.inc"
#include "commit.inc"
#include <sstream>

std::string screensaver_version() {
    std::ostringstream oss;
    oss << "screensaver version " << version;
#ifdef DEBUG
    oss << " DEBUG";
#endif
    oss << '\n';
    if (commit[0] != '\0') {
        oss << "build " << commit << ", ";
    }
    oss << __DATE__ << ", " << __TIME__ << '\n';
    oss << "(c) Bob Polis, all rights reserved";
    return oss.str();
}
