# Taken from: https://stackoverflow.com/questions/2214575/passing-arguments-to-make-run
# If the first argument is "new"...
ifeq (new,$(firstword $(MAKECMDGOALS)))
  # use the rest as arguments for "new"
  NEW_ARGS := $(wordlist 2,$(words $(MAKECMDGOALS)),$(MAKECMDGOALS))
  # ...and turn them into do-nothing targets
  $(eval $(NEW_ARGS):;@:)
endif

new:
	@./newmodule $(NEW_ARGS)
